:root {
  --ColorFondo: #faefdd;     
  --ColorNegro: #251a00;   
  --ColorBlanco: #faf6ed;         
  --ColorNaranja: #cf4538;          
  --ColorCeleste: #abcbd8;    
  --ColorRosa: #feb5c0;    
}

body {
  background-color: var(--ColorRosa);
  margin: 0;
  padding: 0;
  font-family: 'Poppins', sans-serif;
  padding-top: 5vh; 
  padding-bottom: 5vh;
}

.contenedor-principal {
  background-color: var(--ColorFondo); 
  border-radius: 30px; 
  max-width: 1200px;
  width: 90%; 
  margin-left: auto;
  margin-right: auto;
  padding: 2rem;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.05);
  overflow: hidden; 
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 2rem;
}

main {
  max-width: 1200px;
  margin: 0 auto;
  padding: 2rem;
}

main > section:first-of-type {
  background-color: var(--ColorNaranja);
  padding: 3rem;
  margin-bottom: 3rem;
  border-radius: 20px
}

#logo {
  display: flex;
  align-items: center;
}

nav ul {
  display: flex;
  gap: 2rem;
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li::marker {
  content: none !important;
}

nav a {
  text-decoration: none;
  color: var(--ColorNaranja);
  font-weight: 600;
  font-size: 1.3rem;
  padding: 0.5rem 1rem;
  border-radius: 20px;
  transition: all 0.3s ease;
}

nav a:hover {
  background-color: var(--ColorRosa);
  color: var(--ColorNegro);
}

h1 {
  font-family: 'Starborn', sans-serif;
  color: var(--ColorBlanco);
  font-size: 2.8rem;
  margin-bottom: 1rem;
  text-align: center;
}

h2 {
  color: var(--ColorNaranja);
  font-size: 2.5rem;
  margin-bottom: 1rem;
  text-align: center;
}

h3 {
  color: var(--ColorNaranja);
  font-size: 2.5rem;
  margin-bottom: 1rem;
  text-align: center;
}

h4 {
  color: var(--ColorNaranja);
  font-size: 2.5rem;
  margin-bottom: 1rem;
  text-align: center;
}

p {
  color: var(--ColorBlanco);
  line-height: 1.8; 
  font-size: 1.1rem;
  max-width: 1000px; 
  margin-inline: auto;
  text-align: center; 
  margin-bottom: 2rem;
}

.PhotoDelfi {
  display: block;
  margin-inline: auto; 
  border-radius: 20px; 
  object-fit: cover; 
  margin-bottom: 1.5rem; 
  margin-top: 0.5rem;
  border: 5px solid var(--ColorRosa); 
}

ul {
  display: inline-block;
  text-align: left;
}

.li {
  display: flex;
  justify-content: center;
}

li::marker {
  content: '♡ ';
  font-size: 1.2rem;
  color: var(--ColorNaranja);
  font-weight: bold;
}

.grid-materias {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 2rem;
  margin-top: 2rem;
  margin-bottom: 3rem;
}

.MateriasCard {
  background-color: var(--ColorCeleste); 
  border-radius: 25px; 
  padding: 1.5rem;
  transition: all 0.3s ease;
}

.MateriasCard summary {
  color: var(--ColorNaranja);
  font-size: 1.8rem;
  font-weight: bold;
  list-style: none; 
  cursor: pointer;
  outline: none;
  text-align: left; 
  display: flex; 
  justify-content: space-between; 
  align-items: center; 
}

.MateriasCard summary::-webkit-details-marker {
  display: none;
}


.MateriasCard summary::after {
  content: "⤵︎"; 
  font-size: 1.5rem;
  color: var(--ColorNaranja); 
  transition: transform 0.3s ease; 
  margin-left: 1rem;
}

.MateriasCard ul {
  margin-top: 1.5rem;
  display: block;
  text-align: left;
  margin-left: 15%;
  padding-left: 0;
}

.MateriasCard li {
  margin-bottom: 0.6rem;
  color: var(--ColorNegro);
  font-size: 1.1rem;
}

.MateriasCard summary:hover {
  filter: brightness(0.9);
}